Subject: bug#41374: 28.0.50; [feature/native-comp][OSX] Emacs crashes on evil-mode

From: Arif Rezai <[email-masked]>
Date: Tue, 19 May 2020 09:56:54 +0900

Seems like the latest commit (2aec16ab754) is broken,
(native-async-compile) doesn't work.

Debugger entered--Lisp error: (void-variable comp-num-cpus)
  comp-effective-async-max-jobs()
  comp-run-async-workers()

native-compile-async("/Users/st21371/.emacs.d/.local/straight/build/stra..."
recursively late)
  (let ((inhibit-message t) (message-log-max nil)) (native-compile-async
(straight--build-dir package) 'recursively 'late))

Arif Rezai
@arif_rezai

On Tue, May 19, 2020 at 3:59 AM Andrea Corallo <[email-masked]> wrote:

> Luca Nassi <[email-masked]> writes:
>
> >> I'm also Ccing Luca so he can tell if the same is reproducible in
> >> GNU/Linux.
> >
> > Sorry if I join the thread late, I wasn't originally able to reproduce
> > it because I was using an older version of Evil (dynamically scoped thus
> > not native compiled). I was finally able to reproduce on GNU/Linux with
> > a recent Evil.
>
> Yeah, late to the party!  But you can still test the fix ;)
>
> --
> [email-masked]
>